upgrade bionic version to disco

Asked by milvi on 2019-10-03

Dear Barak A. Pearlmutter,

[PROBLEM] Djvulibre on bionic is 3.5.27.1-8 crashes immediately on intel Atom based procs.

Due to this bug https://sourceforge.net/p/djvu/bugs/293/ fixed in commit 8407dd on the 7th of october 2018.

From git tags, it is included in 3.5.27.1-11 (probably -10 though I cannot see this tag in git history)

I notice that no dependency change affects any of the versions to the build process,

I use an intel J5005 (or N5005 on other machines ) proc (based on Atom ) on my machine. I do research and read either pdf or djvu papers all day.

Due to this bug it crashes immediately thus rendering the machine useless, (and the package useless )

Since this bug affects the instruction set of a family of processors, would you consider upgrading the version available in bionic 18.04 LTS ?

Yours sincerly,

Milvi

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu djvulibre Edit question
Assignee:
No assignee Edit question
Last query:
2019-10-03
Last reply:
2019-10-03
Manfred Hampl (m-hampl) said : #1

I suggest that you create a bug report.

If you need a quick workaround, then you could try manually downloading and installing the packages from disco on your bionic system.

Can you help with this problem?

Provide an answer of your own, or ask milvi for more information if necessary.

To post a message you must log in.